:root {
  --blue: #3170ff;
  --grey: #2e2e2e;
  --white: #000000;
  --black: #ffffff;
  --primary: sans-serif;
  --secondary: "Baloo Bhai 2", sans-serif;
  --linearBackground: linear-gradient(135deg, #7da8ff8e, #8eb1e273, #ec8cff78);
  --linearBackgroundBlue: linear-gradient(135deg, #4f8cff, #1e5eff);
}
body.dark{
  --black: #000000;
  --white: #ffffff;
}
html {
  scroll-behavior: auto;
}
* {
  margin: 0;
  padding: 0;
  scroll-behavior: auto;
  font-family: var(--secondary);
   transition:
    background-color 1s ease,
    color 1s ease,
    border-color 1s ease;
}

body {
  width: 100%;
  min-height: 100vh;
  font-family: var(--primary);
  background-color: var(--white);
  background-color: var(--black);
  overflow-x: clip;
}

/* hide scrollbar  */
body::-webkit-scrollbar {
  display: none; /* Chrome, Safari */
}
/* ========================================================================== */
/* ========================================================================== */
/* Utlity CSS Style */
/* ========================================================================== */
/* ========================================================================== */
li {
  list-style: none;
}

a {
  text-decoration: none;
}
.vw90 {
  width: 90vw;
  margin: auto;
  height: 100px;
  margin-top: 5rem;
  scroll-margin-top: 70px;
}
.glass {
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(20px);
  border: 2px solid var(--blue);
}

.loader{
  width:30px;
  height:30px;
  border-radius:50%;
  border:5px solid var(--white);
  background-color: var(--blue);
  position:fixed;
  bottom: 0;
  right: 0;
  margin: 5px;
  display:flex;
  justify-content:center;
  align-items:center;
}
.loader a{
  font-size:35px;
  font-weight: bolder;
  color:var(--white);
}
/* ========================================================================== */
/* Navigation */
/* ========================================================================== */
nav {
  padding: 0 5rem;
  font-weight: 600;
  position: sticky;
  top: 0;
  z-index: 999;

  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);
  border: 1px solid rgba(255, 255, 255, 0.2);
}

nav ul {
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

nav li {
  height: 50px;
  display: flex;
  align-items: center;
}

nav a {
  height: 100%;
  padding: 0 1.2rem;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: var(--white);
}
.theme{
  text-align: center;
  border: none;
  width:40px;
  font-size: 1.5rem;
  all: unset;
  transition: 1s ease;
  margin-left: 20px;
  cursor: pointer;
}

nav li a:hover {
  height: 40px;
  background-color: var(--blue);
  border-radius: 20px;
}
nav li a:hover {
  transform: scale(1.1);
  color: var(--white);
}

nav li:first-child {
  margin-right: auto;
}
.sidebar {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 250px;
  z-index: 999;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  display: none;
  background: rgba(255, 255, 255, 0.1);
  background-color: #2a5fd6;
  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);
  border: 1px solid rgba(255, 255, 255, 0.2);
   transition:
    right 1s ease,
    opacity 1s ease;
}

.sidebar li {
  width: 98%;
}

.menuBtn {
  display: none;
  font-size: 1rem;
}
.menuBtn i {
  padding: 1rem 0 0 0.5rem;
  font-size: 1.5rem;
}
/* ========================================================================== */
/* ========================================================================== */
/* Navbar Responsive */
/* ========================================================================== */
/* ========================================================================== */
@media (max-width: 800px) {
  nav {
    padding: 0 1rem;
    position: sticky;
    top: 0px;
  }
  .hideOnMobile {
    display: none;
  }

  .menuBtn {
    display: block;
  }
}

@media (max-width: 420px) {
  body {
    width: 100%;
  }
  .sidebar {
    width: 100%;
  }
  nav {
    position: sticky;
    top: 0;
  }
}
/* Desktop and Tablet responsive  */
@media (min-width: 801px) and (max-width: 1400px) {
  nav a {
    font-size: 0.8rem;
    padding: 0 0.7rem;
  }
  nav {
    padding: 0 1rem;
  }
}

/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* Hero Section */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
.hero {
  height: 83vh;
  scroll-margin-top: 130px;
  position: relative;
  overflow: hidden;
}
.sphere {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 55vw;
  height: 30vw;
  border-top-left-radius: 500px;
  border-top-right-radius: 500px;
  background: var(--linearBackgroundBlue);
}
.hero img {
  width: 45%;
  position: absolute;
  bottom: 4em;
  /* right: 10em; */
  right: 5%;
}
.greeting {
  font-size: 2rem;
}
.typewritter h1 {
  font-size: 5rem;
  line-height: 1.2;
  color: var(--white);
}
.quotes {
  width: 35vw;
  margin-top: 2rem;
  font-size: 1.5rem;
  text-wrap: wrap;
  font-weight: bold;
  color: var(--white);
}
.quotes b {
  color: var(--blue);
  font-size: 2rem;
}
/* ================================================= */
/* TYPEWRITER EFFECT */
/* ================================================= */
#typing {
  position: relative;
  display: inline-block;
  padding-right: 6px;
  color: var(--blue);
}

#typing::after {
  content: "";
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 6px;
  height: 80%;
  background: var(--blue);
  animation: blink 0.7s infinite;
}

@keyframes blink {
  50% {
    border-color: transparent;
  }
}
/* Container */
.cta-container {
  display: flex;
  width: 18rem;
  gap: 10px;
  padding: 6px;
  border-radius: 50px;
  position: absolute;
  /* left: 35rem; */
  left: 50%;
  bottom: 6rem;
  /* Glass effect */
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(20px);
  border: 2px solid rgba(255, 255, 255, 0.2);
}

/* Common button styles */
.btn {
  border: none;
  outline: none;
  padding: 12px 22px;
  border-radius: 50px;
  font-size: 1.2rem;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 8px;
  font-weight: bold;
  transition: 0.3s ease;
}
.btn a {
  color: white;
}

/* Primary button (blue gradient) */
.btn.primary {
  padding: 0 2.5rem;
  background: var(--linearBackgroundBlue);
  color: white;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  border: 1.5px solid rgba(255, 255, 255, 0.2);
}

/* Secondary button (glass style) */
.btn.secondary {
  background: transparent;
  color: #fff;
}


/* Hover effects */
.btn:hover {
  transform: scale(1.05);
}

/* ========================================================================== */
/* Carousel */
/* ========================================================================== */
.carousel-container {
  width: 90vw;
  margin: auto auto;
  overflow: hidden;
  background: var(--linearBackgroundBlue);
  padding: 20px 0;
  border-radius: 20px 0;
  position: absolute;
  bottom: 0;
}

.Card {
  flex: 0 0 auto;
  /* width: 150px; */
  margin: 0 10px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: var(--secondary);
  font-weight: 600;
  font-size: 1.2rem;
}

.carousel-track {
  background-color: white;
  display: flex;
  width: max-content;
  animation: move 15s infinite linear;
}

@keyframes move {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-35%);
  }
}
.carousel-container:hover .carousel-track {
  animation-play-state: paused;
}

/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* About me page */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
.about {
  margin-top: 40px;
  height: 80vh;
  display: flex;
  align-items: center;
  justify-content: space-between;
  scroll-margin-top: 90px;
  color: var(--white);
}
.aboutimg {
  backdrop-filter: blur(18px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 5px;
  border-radius: 30px;
}
.about img {
  border-radius: 30px;
  width: 35rem;
  height: 35rem;
}
.aboutLink {
  width: 15rem;
  height: 4rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.aboutLink a {
  font-size: 1.7rem;
  color: var(--white);
}
.aboutLink a:hover {
  transform: scale(1.5);
  transition: all 0.5s ease-in-out;
}
.aboutLink .github:hover {
  color: var(--white);
}
.aboutLink .youtube:hover {
  color: red;
}
.aboutLink .linkedin:hover {
  color: var(--blue);
}
.aboutLink .instagram:hover {
  color: rgb(255, 0, 200);
}
.summery {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  width: 40rem;
  height: 40rem;
  /* margin-right: 50px; */
}
.summery h1 {
  font-size: 3rem;
}
.summery h3 {
  font-size: 1.8rem;
  color: var(--grey);
}
.summery p {
  font-size: 1.2rem;
  text-align: start;
  color: var(--white);
}

/* education section  */
/* TIMELINE */

.timeline {
  width: 100%;
  max-width: 1100px;
  position: relative;
  padding: 10px 20px;
}

/* BLUE LINE */

.timeline::before {
  content: "";
  position: absolute;
  /* CENTER OF CIRCLE */
  top: 60%;
  left: 0;
  width: 100%;
  height: 4px;
  background: #2563eb;
  border-radius: 20px;
  transform: translateY(-50%);
}
/* ITEMS */
.timeline-items {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
/* SINGLE ITEM */
.timeline-item {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
}
/* DOT */
.timeline-dot {
  width: 20px;
  height: 20px;
  background: #2563eb;
  border-radius: 50%;
  border: 5px solid #dfe8f5;
  z-index: 2;
  transition: 0.4s ease;
}

.timeline-item:hover .timeline-dot {
  transform: scale(1.15);
  box-shadow: 0 0 20px rgba(37, 99, 235, 0.4);
}
/* TITLE */
.timeline-title {
  font-size: 2.2rem;
  font-weight: 700;
  margin-bottom: 10px;
}
/* YEAR */
.timeline-year {
  margin-top: 10px;
  font-size: 15px;
  font-weight: 600;
}
/* SMALL CARD */
.timeline-card {
  position: absolute;
  bottom: 55%;
  left: 50%;
  transform: translateX(-50%) translateY(15px);
  width: 180px;
  padding: 10px;
  border-radius: 14px;
  background: rgba(255, 255, 255, 0.18);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, 0.25);
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
  opacity: 0;
  visibility: hidden;
  transition: 0.4s ease;
  z-index: 20;
}
/* HOVER EFFECT */
.timeline-item:hover .timeline-card {
  opacity: 1;
  visibility: visible;
  transform: translateX(-50%) translateY(0);
}
/* CARD TEXT */
.timeline-card h3 {
  font-size: 16px;
  margin-bottom: 6px;
  color: var(--blue);
}
.timeline-card p {
  font-size: 16px;
  line-height: 1.5;
  color: var(--white);
}
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* Skill page */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
.skill {
  height: max-content;
  color: var(--white);
}
.skills-title {
  text-align: center;
}
.skills-title h1 {
  font-size: 2.7rem;
}
.skills-title p {
  font-size: 1.5rem;
  color: var(--white);
}
.skills-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  gap: 10px;
  margin-top: 30px;
}

.skill-card {
  padding: 30px;
  height: 19rem;
  width: max-content;
  border-radius: 30px;
  backdrop-filter: blur(20px);
  margin: 10px;
  transition: all 0.3s ease;
  color: var(--white);
  /* border: 1px solid black; */
}
.card-title {
  text-align: center;
  padding-bottom: 20px;
  color: var(--white);
}
.middle-card {
  color: var(--black);
  width: 50%;
}
.box-container {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.skill-ul li {
  list-style: "⭐ ";
  cursor: pointer;
  color: var(--white);
}
.skill-ul li:hover {
  color: var(--blue);
  transform: scale(1.1);
}
.skill-info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
}
.bar:hover {
  transform: scale(1.05);
}

.bar {
  width: 100%;
  height: 10px;
  background: rgba(255, 255, 255, 0.08);
  border-radius: 20px;
  overflow: hidden;
  border: 1px solid var(--white);
}

.progress {
  height: 100%;
  border-radius: 20px;
  background: linear-gradient(to right, #5d6bff, #a64dff);
}
@media (max-width: 768px) {
  .skills-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0;
    grid-template-columns: 1fr;
    width: 90vw;
  }
  .skill-card {
    width: 16rem;
  }
}
/* ========================================================================== */
/* slill corusel  */
/* ========================================================================== */
.tools {
  text-align: center;
  margin: 30px 0;
  margin-top: 60px;
}
.skill-carousel {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 5px;
  overflow: hidden;
  margin-top: 20px;
}

.carousel-row {
  width: 100%;
  overflow: hidden;
  position: relative;
}

.carousel-track-skill {
  display: flex;
  width: max-content;
  gap: 10px;
  animation: scrollLeft 20s linear infinite;
}

.carousel-track-skill.reverse {
  animation: scrollRight 20s linear infinite;
}

.skill-box {
  width: max-content;
  padding: 0 15px;
  height: 43px;
  background-color: #bed0fe;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  font-size: 1.2rem;
  font-weight: 700;
  border-radius: 10px;
  border: 2px solid rgba(255, 255, 255, 0.2);
  transition: 0.3s ease;
  color: black;
}

.skill-box i {
  font-size: 1.5rem;
  color: var(--blue);
}

.skill-box:hover {
  transform: scale(1.1);
}
/* pause on hover */
.carousel-row:hover .carousel-track-skill {
  animation-play-state: paused;
}
/* animations */

@keyframes scrollLeft {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

@keyframes scrollRight {
  0% {
    transform: translateX(-50%);
  }

  100% {
    transform: translateX(0);
  }
}

/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* project page */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
.project {
  display: flex;
  flex-direction: column;
  height: 98vh;
  margin-bottom: 10rem;
  background-position: center;
  background-size: cover;
  border-radius: 30px;
  color: var(--white);
  scroll-margin-top: 20px;
}
.project .secContainer::-webkit-scrollbar {
  display: none;
}
.project .secContainer {
  overflow-x: auto;
  height: max-content;
  scroll-snap-type: x mandatory;
  scroll-behavior: auto;
  -webkit-overflow-scrolling: touch;
}
.project .secHead {
  display: flex;
  flex-direction: column;
  text-align: center;
}
.project .secHead p{
  width: 80%;
  margin-bottom: 10px;
}
.project .card p {
  color: var(--white);
}
.card {
  transition: all 0.3s ease;
}

.card:hover {
  transform: translateY(-10px) scale(1.02);

  background: rgba(255, 255, 255, 0.12);

  box-shadow:
    0 5px 10px rgba(0, 0, 0, 0.3),
    inset 0 1px 0 rgba(255, 255, 255, 0.125);
}

/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* Service page */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
.service {
  display: flex;
  flex-direction: column;
  height: 80vh;
  background: url(/assets/service.png);
  background-position: center;
  background-size: cover;
  border-radius: 30px;
  color: white;
}
.secHead {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin-top: 1rem;
}
.secHead h1 {
  font-size: 3rem;
}
.secHead p {
  font-size: 1.1rem;
  width: 40vw;
}
.secContainer {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  scroll-behavior: auto;
  -webkit-overflow-scrolling: touch;
}
.card {
  backdrop-filter: blur(20px);
  width: 22vw;
  margin: 1rem;
  border: 2px solid rgb(214, 214, 214);
  border-radius: 40px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.card img {
  width: 20vw;
  height: 30vh;
  margin: 10px 0;
  border-radius: 30px;
  object-position: center;
  object-fit: contain;
  background-color: grey;
  border: 1px solid black;
}
.card p {
  font-size: 0.9rem;
  color: rgb(175, 175, 175);
  padding: 10px;
}

/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* Contact page */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
.contact {
  height: 80vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--white);
}
.contact h1 {
  font-family: var(--secondary);
  font-size: 3rem;
  text-align: center;
  padding: 1rem 0;
  line-height: 1.2;
}
h1 b {
  color: var(--blue);
}
form {
  display: flex;
  width: 60vw;
  flex-direction: column;
  align-items: center;
}
input,
textarea {
  width: 50vw;
  padding: 1rem;
  font-size: 1.1rem;
  border-radius: 30px;
  margin: 10px;
  border: none;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(20px);
  border: 2px solid var(--blue);
  color: var(--blue);
}
input,
textarea:focus {
  border-bottom: 2px solid rgba(141, 202, 255, 0.718);
}
textarea {
  padding: 20px 0 20px 20px;
}

.btnContainer {
  width: 50vw;
  border: none;
  border-radius: 30px;
  display: flex;
  color: var(--blue);
  padding: 5px 5px 5px 20px;
  display: flex;
  margin-top: 1rem;
  justify-content: space-between;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(20px);
  border: 2px solid var(--blue);
}

#phone {
  all: unset;
  height: 2.5rem;
  width: 90%;
}
.sendbtn {
  border-radius: 30px;
  padding: 0 1.5rem;
  font-weight: bold;
  font-size: 1.2rem;
  font-family: var(--secondary);
  background: var(--linearBackgroundBlue);
  border: none;
  color: white;
}
.sendbtn:hover {
  transform: scale(1.05);
}
input[type="button"],
input[type="submit"] {
  border: none;
  outline: none;
  background: none;
  cursor: pointer;
}

/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* Footer */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
.footer {
  background-color: var(--grey);
  border-radius: 2em 2em 0 0;
  width: 90vw;
  margin: auto;
  color: grey;
  display: flex;
  flex-direction: column;
}
.footer a {
  color: grey;
}
.footer a:hover {
  color: white;
}
.footerHead {
  display: flex;
  justify-content: space-between;
  padding: 1rem 10rem;
  font-weight: bold;
  font-family: var(--secondary);
}

.footerHead h1,
h3 {
  color: white;
}

.hirebtn {
  color: var(--blue);
  padding: 0.5rem 2rem;
  border-radius: 50px;
  font-weight: bolder;
  font-family: var(--secondary);
  font-size: 1.2rem;
  border: 2px solid var(--blue);
  background-color: var(--linearBackground);
}
.hirebtn:active {
  background-color: var(--blue);
  border: 3px solid white;
  color: white;
}
.hirebtn:hover {
  background-color: var(--blue);
  border: 3px solid white;
  color: white;
}

.footerMid {
  padding: 1rem 10rem;
  display: flex;
  gap: 10rem;
}
.footerMid img {
  width: 6rem;
}

.card1 {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.card1 p {
  line-height: 25px;
}
.card1 a {
  font-size: 1.5rem;
}
.link a:hover {
  transform: scalex(5rem);
  color: white;
}
.card2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-right: 5em;
  width: 25rem;

  font-family: var(--secondary);
}
.footerLast {
  padding: 20px 10em;
}

/* ========================================================================== */
/* ========================================================================== */
/* RESPONSIVE DESIGN
MOBILE & TABLET ONLY
DESKTOP UI REMAINS SAME */
/* ========================================================================== */
/* ========================================================================== */

/* ---------- MOBILE ---------- */
@media (max-width: 768px) {
  html {
    font-size: 90%;
    overflow-x: hidden;
  }

  body {
    overflow-x: hidden;
  }

  section {
    padding: 50px 6%;
  }

  .navlinks {
    position: fixed;
    top: 80px;
    right: -100%;
    width: 260px;
    height: calc(100vh - 80px);
    flex-direction: column;
    align-items: flex-start;
    padding: 30px;
    gap: 25px;
    transition: 0.4s ease;
  }

  .navlinks.active {
    right: 0;
  }

  .hamburger {
    display: flex;
  }
  nav {
    position: sticky;
    top: 0;
  }
  .home,
  .about,
  .contact,
  .service,
  .projects {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 35px;
    height: auto;
  }

  .homecontent,
  .aboutcontent,
  .contactcontent,
  .servicecontent,
  .projectcontent {
    width: 100%;
  }

  .homeimg,
  .aboutimg {
    width: 100%;
    justify-content: center;
  }
  .about {
    display: flex;
    flex-direction: column-reverse;
    text-align: center;
    height: auto;
  }
  .summery h1 {
    text-align: center;
  }
  .homeimg img,
  .aboutimg img {
    width: 260px;
    max-width: 100%;
    height: auto;
  }

  h1 {
    font-size: 2.2rem;
  }

  h2 {
    font-size: 1.8rem;
  }

  p {
    font-size: 0.95rem;
    line-height: 1.7;
  }

  .cards,
  .projectcards,
  .servicecards {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    width: 100%;
  }

  .card,
  .projectcard,
  .servicecard {
    width: 100%;
  }

  .buttons,
  .socialicons {
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;
  }

  .contact form {
    width: 100%;
  }

  input,
  textarea,
  button {
    width: 100%;
  }

  .footer,
  .footerHead,
  .footerMid,
  .footerLast {
    text-align: start;
  }
}

/* ---------- SMALL MOBILE ---------- */
@media (max-width: 480px) {
  html {
    font-size: 85%;
  }

  section {
    padding: 40px 5%;
  }
  .cta-container .btn.primary {
    padding: 0 25px;
  }
  .about {
    display: flex;
    flex-direction: column-reverse;
  }
  .summery h1 {
    text-align: center;
  }
  .homeimg img,
  .aboutimg img {
    width: 220px;
  }

  h1 {
    font-size: 1.9rem;
  }

  h2 {
    font-size: 1.5rem;
  }

  .navlinks {
    width: 220px;
  }

  .card,
  .projectcard,
  .servicecard {
    padding: 18px;
  }

  button {
    padding: 12px 18px;
  }
  .footer,
  .footerHead,
  .footerMid,
  .footerLast {
    text-align: start;
  }
}

/* ---------- TABLET ---------- */
@media (max-width: 1024px) {
  html {
    font-size: 95%;
  }

  section {
    padding: 60px 5%;
  }

  .navbar {
    padding: 15px 5%;
  }
  .cta-container .btn.primary {
    padding: 0 25px;
  }
  .home,
  .about,
  .contact,
  .service,
  .projects {
    flex-direction: column;
    gap: 40px;
    height: auto;
  }

  .homecontent,
  .aboutcontent,
  .contactcontent,
  .servicecontent,
  .projectcontent {
    width: 100%;
  }

  .homeimg,
  .aboutimg {
    width: 100%;
    display: flex;
    justify-content: center;
  }
  .about {
    display: flex;
    flex-direction: column-reverse;
  }
  .homeimg img,
  .aboutimg img {
    width: 320px;
    max-width: 100%;
    height: auto;
  }

  .cards,
  .projectcards,
  .servicecards {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }

  .card,
  .projectcard,
  .servicecard {
    width: 100%;
  }

  .contact form {
    width: 100%;
  }

  input,
  textarea {
    width: 100%;
  }

  .footer {
    flex-direction: column;
    gap: 15px;
  }
}

/* ========================================================================== */
/* Home */
/* ========================================================================== */
@media (max-width: 800px) {
  .home {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .hero {
    height: 60vh;
  }
  .greeting {
    font-size: 1.2rem;
    position: absolute;
    top: 0;
  }
  .typewritter h1 {
    font-size: 2rem;
    line-height: 1.3;
  }
  .quotes {
    position: absolute;
    font-size: 1.1rem;
    width: 90vw;
    text-align: center;
    margin-top: 1.5rem;
    display: none;
  }
  .sphere {
    right: 20px;
    width: 85vw;
    height: 60vw;
  }
  .hero img {
    width: 80%;
    position: absolute;
    left: 40px;
  }
  .cta-container {
    height: 3rem;
    bottom: 23rem;
    left: 0;
    margin: 1rem;
    border: 1px solid var(--blue);
  }
  .btn.secondary a {
    color: black;
  }
}

/* ========================================================================== */
/* Skill Responsive */
/* ========================================================================== */
@media (max-width: 800px) {
  .middle-card {
    height: max-content;
    padding: 0;
    margin: 0;
    width: 20rem;
  }
  .middle-card .card-title {
    margin-left: 25px;
  }
  .skill-card {
    height: max-content;
  }
  .skills-title h1 {
    font-size: 2rem;
    margin: 10px 0;
  }
  .skills-title p {
    font-size: 1rem;
  }
  .card-title {
    margin: 10px 0;
  }
}
/* ========================================================================== */
/* About Responsive */
/* ========================================================================== */

@media (max-width: 800px) {
  .about {
    width: 100%;
    height: auto;
    padding: 2rem 0;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden;
  }

  .summery {
    width: 90%;
    height: auto;
    margin: 0;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .summery h1 {
    width: 100%;
    font-size: 2.7rem;
    text-align: center;
  }

  .summery h3 {
    width: 100%;
    font-size: 1.7rem;
    text-align: center;
  }

  .summery p {
    width: 100%;
    font-size: 1rem;
    line-height: 1.8;
    text-align: start;
  }

  .aboutimg {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0.7rem;
  }

  .aboutimg img {
    width: 85%;
    max-width: 300px;
    height: auto;
    object-fit: cover;
    border-radius: 25px;
  }

  .aboutLink {
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 2rem;
    margin-top: 1rem;
  }

  /* timeline */

  .timeline {
    width: 70%;
    padding: 1rem 0;
  }

  .timeline-items {
    gap: 0.5rem;
  }

  .timeline-title {
    font-size: 1.5rem;
    text-align: center;
  }

  .timeline-year {
    font-size: 0.9rem;
    text-align: center;
  }

  .timeline-card {
    width: 140px;
    padding: 8px;
  }

  .timeline-card h3 {
    font-size: 0.9rem;
  }

  .timeline-card p {
    font-size: 0.8rem;
  }
}
/* ========================================================================== */
/* Project */
/* ========================================================================== */
@media (max-width: 800px) {
  .project {
    margin-bottom: 0;
    margin-top: 0;
  }
  .project .card {
    box-shadow: none;
    text-align: center;
  }
  .project .secHead h1 {
    font-size: 2rem;
  }
  .project .secHead p {
    font-size: 1rem;
  }
}

/* ========================================================================== */
/* Service */
/* ========================================================================== */
@media (max-width: 800px) {
  .service {
    display: flex;
    flex-direction: column;
    width: 90vw;
  }
  .secHead {
    display: flex;
    flex-direction: column;
  }
  .secHead h1 {
    font-size: 2.5rem;
  }
  .secHead p {
    font-size: 1.1rem;
    padding: 10px 0;
    width: 80vw;
    text-align: center;
  }
  .secContainer {
    width: 90vw;
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-snap-align: center;
  }
  ::-webkit-scrollbar {
    display: none;
  }
  .card {
    width: 90vw;
    height: 50vh;
  }
  .card img {
    width: 70vw;
  }
}

/* ========================================================================== */
/* Contact */
/* ========================================================================== */
@media (max-width: 800px) {
  .contact {
    height: 70vh;
    bottom: 0;
  }
  .contact h1 {
    font-family: var(--secondary);
    font-size: 2rem;
    text-align: center;
    padding: 1rem 0;
    line-height: 1.2;
  }
  input,
  textarea {
    width: 75vw;
    margin: 5px;
  }
  .btnContainer {
    width: 75vw;
    margin: 5px;
  }
  #phone {
    all: unset;
    height: 2.5rem;
    width: 50vw;
  }
}

@media (min-width: 801px) and (max-width: 1400px) {
  .contact {
    height: 70vh;
  }
}

/* ========================================================================== */
/* Footer */
/* ========================================================================== */
@media (max-width: 800px) {
  .footerHead {
    padding: 1.5rem 1.5rem;
    font-size: 0.8rem;
  }
  .footerMid {
    flex-wrap: wrap;
    padding: 1em 1.5em;
    gap: 2rem;
  }
  .card1 a {
    font-size: 1.6rem;
  }
  .hirebtn {
    width: 5rem;
    height: 2rem;
    padding: 0 0.8rem;
    font-size: 0.7rem;
  }
  .footerLast {
    padding: 1rem 1.5rem;
  }
  hr {
    width: 90vw;
  }
}

@media (min-width: 801px) and (max-width: 1400px) {
  .footerHead {
    padding: 1.5rem 2rem;
  }
  .footerMid {
    padding: 1.5rem 2rem;
  }
  .footerLast {
    padding: 1.5rem 2rem;
  }
  hr {
    width: 91vw;
  }
}

/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */
/* animatiion */
/* ========================================================================== */
/* ========================================================================== */
/* ========================================================================== */


/* ========================================================================== */
/* load animation */
/* ========================================================================== */
/* load left animation  */
.loadLeft{
  animation: loadLeftAnimation 1s ease-in-out forwards;
  animation-delay: 0.5s;
}

@keyframes loadLeftAnimation {
  from{
    opacity: 0;
    transform: translateX(-500px) scale(0.3);
  }
  to{
    opacity: 1;
    transform: translateX(0);
  }
}
/* load right animation  */
.loadRight{
  animation: loadRightAnimation 1s ease-in-out forwards;
  animation-delay: 0.5s;
}

@keyframes loadRightAnimation {
  from{
    opacity: 0;
    transform: translateX(500px) scale(0.3);
  }
  to{
    opacity: 1;
    transform: translateX(0);
  }
}
/* load top animation  */
.loadTop{
  animation: loadTopAnimation 1s ease-in-out forwards;
  animation-delay: 0.5s;
}

@keyframes loadTopAnimation {
  from{
    opacity: 0;
    transform: translateY(-50px) scale(0.3);
  }
  to{
    opacity: 1;
    transform: translateY(0);
  }
}
/* load bottom animation  */
.loadBottom{
  animation: loadBottomAnimation 1s ease-in-out forwards;
  animation-delay: 0.5s;
}

@keyframes loadBottomAnimation {
  from{
    opacity: 0;
    transform: translateY(-50px) scale(0.3);
  }
  to{
    opacity: 1;
    transform: translateY(0);
  }
}




/* ========================================================================== */
/* scroll animation */
/* ========================================================================== */
/* top  */
/* .autoShow{
  animation: autoShowAnimation both;
  animation-timeline: view(80% 5%);
}

@keyframes autoShowAnimation {
  from{
    opacity: 0;
    transform: translateY(50px) scale(0.3);
  }
  to{
    opacity: 1;
    transform: translateY(0);
  }
} */
/* right  */
/* .autoShowRight{
  animation: autoShowRightAnimation both;
  animation-timeline: view(80% 5%);
}

@keyframes autoShowRightAnimation {
  from{
    opacity: 0;
    transform: translateX(500px) scale(0.3);
  }
  to{
    opacity: 1;
    transform: translateX(0);
  }
} */
/* left  */
/* .autoShowLeft{
  animation: autoShowLeftAnimation both;
  animation-timeline: view(80% 5%);
}

@keyframes autoShowLeftAnimation {
  from{
    opacity: 0;
    transform: translateX(-500px) scale(0.3);
  }
  to{
    opacity: 1;
    transform: translateX(0);
  }
} */




/* ========================================================================== */
/* Mobile Scroll Animation using view()*/
/* ========================================================================== */

/* @media (max-width:1024px){ */

  /* top */
/* 
  .autoShow{
    animation: mobileShowAnimation both;
    animation-timeline: view(90% 10%);
  }

  @keyframes mobileShowAnimation{

    from{
      opacity:0;
      transform:translateY(30px);
    }

    to{
      opacity:1;
      transform:translateY(0);
    }

  } */

  /* right */

  /* .autoShowRight{
    animation: mobileShowRightAnimation both;
    animation-timeline: view(90% 10%);
  }

  @keyframes mobileShowRightAnimation{

    from{
      opacity:0;
      transform:translateX(40px);
    }

    to{
      opacity:1;
      transform:translateX(0);
    }

  } */

  /* left */

  /* .autoShowLeft{
    animation: mobileShowLeftAnimation both;
    animation-timeline: view(90% 10%);
  }

  @keyframes mobileShowLeftAnimation{

    from{
      opacity:0;
      transform:translateX(-40px);
    }

    to{
      opacity:1;
      transform:translateX(0);
    }

  }

} */


/* ========================================================================== */
/* Base Animation */
/* ========================================================================== */

.autoShow,
.autoShowRight,
.autoShowLeft{

  opacity: 0;
  transition: all 0.8s cubic-bezier(0.22,1,0.36,1);
  will-change: transform, opacity;

}

/* top */

.autoShow{
  transform: translateY(50px);
}

.autoShow.show{
  opacity: 1;
  transform: translateY(0);
}

/* right */

.autoShowRight{
  transform: translateX(120px);
}

.autoShowRight.show{
  opacity: 1;
  transform: translateX(0);
}

/* left */

.autoShowLeft{
  transform: translateX(-120px);
}

.autoShowLeft.show{
  opacity: 1;
  transform: translateX(0);
}

/* ========================================================================== */
/* Mobile Optimized */
/* ========================================================================== */

@media (max-width:1024px){

  .autoShow{
    transform: translateY(30px);
  }

  .autoShowRight{
    transform: translateX(40px);
  }

  .autoShowLeft{
    transform: translateX(-40px);
  }

}